package es.optsicom.problem.gop.instances;

import java.io.File;

import es.optsicom.lib.instancefile.InstanceFile;
import es.optsicom.lib.instancefile.InstancesRepository;
import es.optsicom.problem.gop.function.Function;

public class FunctionInstanceFile extends InstanceFile {

	private Function function;

	public FunctionInstanceFile(InstancesRepository repository, String useCase, String fileSetId, String fileName, Function function) {
		super(repository, null, useCase, fileSetId, fileName);
		this.function = function;
	}

	public Function getFunction() {
		return function;
	}

}
